View Issue Details

IDProjectCategoryView StatusLast Update
0000346SOGoWeb Mailpublic2010-02-19 11:26
Reporteriongigi Assigned Towsourdeau 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Versionnightly v2 
Target Version1.2.1Fixed in Version1.2.1 
Summary0000346: Sogo + Courier Imap
Description

With svn version when I try to share a a folder I see (nil)<(nil)> instead of user name although with 1.1.0 version everything looks ok. I mention that I have in config file

SOGoIMAPAclConformsToIMAPExt = Yes;
SOGoIMAPAclUsernamesAreQuoted = Yes;

Additional Information

gentoo + courier-imap 4.5

TagsNo tags attached.

Activities

wsourdeau

wsourdeau

2010-01-20 09:15

viewer   ~0000460

I have noticed something. When you fill bug reports, you always mention "the svn version". If you mean the svn version of SOGo, found on svn.opengroupware.org, you should not use that because it is seriously outdated. Instead, you should use the "ca.inverse.sogo" branch from our "monotone" repository (server: inverse.ca). This applies to all your bugs. Maybe you should revisit them with the version I mention you?

iongigi

iongigi

2010-01-20 09:19

reporter   ~0000461

Sorry ... the monotone version

mtn: connecting to inverse.ca
mtn: finding items to synchronize:
mtn: certificates | keys | revisions
mtn: 16291 | 6 | 5409
mtn: bytes in | bytes out | certs in | revs in
mtn: 1.1 k | 1.3 k | 0/0 | 0/0
mtn: successful exchange with inverse.ca
mtn: updating along branch 'ca.inverse.sogo'
mtn: already up to date at d083c5462a586e018b7a81654d14c0bfa96479fd

iongigi

iongigi

2010-01-20 09:20

reporter   ~0000462

Sogo works great except a few things in Webmail related with courier-imap.
I have a few more issues I haven't posted yet.

wsourdeau

wsourdeau

2010-01-20 12:06

viewer   ~0000467

I have found the problem. The "SOGoIMAPAclUsernamesAreQuoted" parameter was removed a few weeks ago. And actually, it was working-around a bug in Courier IMAP. When SOGo requests the access control list on a folder, Courier put the identifiers and rights between double quotes, which it should not do. I am a bit disappointed that they haven't fixed this yet.

iongigi

iongigi

2010-01-27 10:23

reporter   ~0000518

Dovecot also put the identifiers between double quotes

telnet localhost 143
Trying 127.0.0.1...
Connected to localhost.
Escape character is '^]'.

  • OK [CAPABILITY IMAP4rev1 LITERAL+ SASL-IR LOGIN-REFERRALS ID ENABLE STARTTLS AUTH=PLAIN] Dovecot ready.
    a login test test
    a OK [CAPABILITY IMAP4rev1 LITERAL+ SASL-IR LOGIN-REFERRALS ID ENABLE SORT SORT=DISPLAY THREAD=REFERENCES THREAD=REFS MULTIAPPEND UNSELECT IDLE CHILDREN NAMESPACE UIDPLUS LIST-EXTENDED I18NLEVEL=1 CONDSTORE QRESYNC ESEARCH ESORT SEARCHRES WITHIN CONTEXT=SEARCH ACL RIGHTS=texk] Logged in
    a getacl INBOX.ww
  • ACL "INBOX.ww" "user" lrws "test" lrwstipekxacd
    a OK Getacl completed.
wsourdeau

wsourdeau

2010-02-19 11:26

viewer   ~0000613

Fixed in 42e55c8292b29dad1cd5260453c22ca05fb07f6e.

Please note that the configuration variables mentionned above no longer exist. Everything is now deduced automatically.

Issue History

Date Modified Username Field Change
2010-01-20 06:12 iongigi New Issue
2010-01-20 09:15 wsourdeau Note Added: 0000460
2010-01-20 09:19 iongigi Note Added: 0000461
2010-01-20 09:20 iongigi Note Added: 0000462
2010-01-20 12:06 wsourdeau Note Added: 0000467
2010-01-27 10:23 iongigi Note Added: 0000518
2010-02-15 12:02 wsourdeau Target Version => 1.2.1
2010-02-19 11:26 wsourdeau Note Added: 0000613
2010-02-19 11:26 wsourdeau Status new => resolved
2010-02-19 11:26 wsourdeau Fixed in Version => 1.2.1
2010-02-19 11:26 wsourdeau Resolution open => fixed
2010-02-19 11:26 wsourdeau Assigned To => wsourdeau